View Issue Details

IDProjectCategoryView StatusLast Update
11797Feature requests[All Projects] Theme editorpublic2018-05-16 13:11
ReporterDenisChenuAssigned ToLouisGac 
PrioritynoneSeverityfeature 
Status closedResolutionreopened 
Product Version 
Target Version3.0Fixed in Version3.0 
Summary11797: Need 2 pstpl file more : form.pstpl + message.pstpl
Description

Actually : token enter or message can not really be updated via template (except with view when it's ready).

But we have

  • different simple form : token, register (other ?)
  • different simple message : optout/optin/no access/session time out ....

It's really more easy if we have 2 pstpl file for this

Additional Information

This totally broke existiong template BUT : we can test if the pstpl file exist, and get the one from default if not

Tagsanswers_html

Activities

LouisGac

LouisGac

2016-10-14 10:13

manager   ~41329

Breaking existing templates is not a problem.

DenisChenu

DenisChenu

2016-10-15 19:13

developer   ~41378

Fix committed to answers_html branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21039

DenisChenu

DenisChenu

2016-10-18 01:44

developer   ~41410

Fix committed to answers_html branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=21067

DenisChenu

DenisChenu

2018-04-12 15:35

developer   ~47414

You remove the system ? Or i don't found it ?
https://github.com/LimeSurvey/LimeSurvey/blob/3d21e0b9f127cb9d632f666ff2d929f1b1e29842/application/views/survey/system/message.php
(and i think i improve it after)

Maybe same twig included can be great ?

(PS : and i think it can be great to have this for plugin, but it's not the original issue)

DenisChenu

DenisChenu

2018-04-12 15:38

developer   ~47415

See here : https://github.com/LimeSurvey/LimeSurvey/commit/3d21e0b9f127cb9d632f666ff2d929f1b1e29842#diff-c242bf0f73ecc169d3f0adaf32a0d633

Then to move from boostrap to "AnotherGreatCSSFramework where we use error for error and not danger" : just one file update : /survey/system/errorAlert.twig

LouisGac

LouisGac

2018-05-16 13:11

manager   ~47636

not relevant anymore

Related Changesets

LimeSurvey: answers_html 9cad06b4

2016-10-15 19:09:32

DenisChenu

Details Diff
New feature 11797: Allow template to use some class in default core message: message.pstpl
Dev: move some message to this new pstpl file
Dev: surely some more todo
Affected Issues
11797
mod - application/controllers/SurveyController.php Diff File
mod - application/controllers/survey/index.php Diff File
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/replacements_helper.php Diff File
add - application/views/survey/system/error.php Diff File
mod - application/views/survey/system/loadForm/error.php Diff File
add - application/views/survey/system/message.php Diff File
add - application/views/survey/system/url.php Diff File
mod - templates/basic/pstpl/completed.pstpl Diff File
add - templates/basic/pstpl/message.pstpl Diff File
add - templates/default/views/message.pstpl Diff File
add - templates/test/pstpl/message.pstpl Diff File

LimeSurvey: answers_html 3d21e0b9

2016-10-18 01:40:09

DenisChenu

Details Diff
New feature 11797: allow update HTML of core message and core form in template
Dev: Adding 2 pstpl file for form and message
Dev: adding a lot of views : some call another, can be improved
Dev: the 2 pstpl file can be easily added (from default) when update (BD)
Dev: or added when import template
Affected Issues
11500, 11797
mod - application/controllers/RegisterController.php Diff File
mod - application/helpers/frontend_helper.php Diff File
mod - application/libraries/Load_answers.php Diff File
mod - application/libraries/Save.php Diff File
mod - application/views/layouts/survey.php Diff File
rm - application/views/register/display.php Diff File
rm - application/views/register/registerForm.php Diff File
add - application/views/survey/frontpage/captchaForm/error.php Diff File
add - application/views/survey/frontpage/captchaForm/form.php Diff File
add - application/views/survey/frontpage/captchaForm/heading.php Diff File
add - application/views/survey/frontpage/captchaForm/message.php Diff File
rm - application/views/survey/frontpage/enterCaptcha.php Diff File
rm - application/views/survey/frontpage/enterToken.php Diff File
add - application/views/survey/frontpage/loadForm/error.php Diff File
add - application/views/survey/frontpage/registerForm/form.php Diff File
add - application/views/survey/frontpage/registerForm/heading.php Diff File
add - application/views/survey/frontpage/registerForm/message.php Diff File
add - application/views/survey/frontpage/saveForm/error.php Diff File
add - application/views/survey/frontpage/tokenForm/error.php Diff File
add - application/views/survey/frontpage/tokenForm/form.php Diff File
add - application/views/survey/frontpage/tokenForm/heading.php Diff File
add - application/views/survey/frontpage/tokenForm/message.php Diff File
mod - application/views/survey/question_help/asterisk.php Diff File
add - application/views/survey/system/formItem/captcha.php Diff File
rm - application/views/survey/system/loadForm/error.php Diff File
mod - application/views/survey/system/message.php Diff File
add - application/views/survey/system/required.php Diff File
add - templates/basic/pstpl/form.pstpl Diff File
mod - templates/basic/pstpl/register.pstpl Diff File
add - templates/default/views/form.pstpl Diff File
add - templates/test/pstpl/form.pstpl Diff File

Issue History

Date Modified Username Field Change
2016-10-14 08:50 DenisChenu New Issue
2016-10-14 09:46 DenisChenu Tag Attached: answers_html
2016-10-14 10:13 LouisGac Note Added: 41329
2016-10-14 10:58 DenisChenu Project Development => Feature requests
2016-10-14 11:00 DenisChenu Severity @50@ => feature
2016-10-14 11:00 DenisChenu Product Version 3.x =>
2016-10-14 11:00 DenisChenu Target Version 3.x => 3.0
2016-10-15 19:10 DenisChenu Assigned To => DenisChenu
2016-10-15 19:10 DenisChenu Status new => assigned
2016-10-15 19:13 DenisChenu Changeset attached => LimeSurvey answers_html 9cad06b4
2016-10-15 19:13 DenisChenu Note Added: 41378
2016-10-15 19:13 DenisChenu Resolution open => fixed
2016-10-18 01:44 DenisChenu Changeset attached => LimeSurvey answers_html 3d21e0b9
2016-10-18 01:44 DenisChenu Note Added: 41410
2016-10-18 01:47 DenisChenu Status assigned => resolved
2016-10-18 01:47 DenisChenu Fixed in Version => 3.0
2018-04-06 11:48 markusfluer Status resolved => closed
2018-04-12 15:35 DenisChenu Assigned To DenisChenu => LouisGac
2018-04-12 15:35 DenisChenu Status closed => feedback
2018-04-12 15:35 DenisChenu Resolution fixed => reopened
2018-04-12 15:35 DenisChenu Note Added: 47414
2018-04-12 15:38 DenisChenu Note Added: 47415
2018-04-12 15:38 DenisChenu Status feedback => assigned
2018-05-16 13:11 LouisGac Status assigned => closed
2018-05-16 13:11 LouisGac Note Added: 47636